File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Java in General and the fly likes hell breaks loose with JDK1.4 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Java in General
Bookmark "hell breaks loose with JDK1.4" Watch "hell breaks loose with JDK1.4" New topic

hell breaks loose with JDK1.4

John Davis
Ranch Hand

Joined: Nov 02, 2000
Posts: 189
I recently upgraded my development environment (Windows 2000 professional) from JDK1.3.1_02 to the latest Sun JDK1.4. Everything worked fine while developing applets, servlets, EJBs, etc. but when I attempted to use my development machine as a web client, the browsers (IE6 and Netscape 7.01) were unable to process any Java enabled pages. (my own and Yahoo web pages with Java applets on them asked for a download, and then provided a link to Windows Update - this route (through Windows Update) to download required JRE software did not work, i.e. Windows Update thinks I already have the required software). To fix this problem, I had to uninstall JDK1.4 and revert to JDK1.3.1_02, after which, everything worked perfectly. My questions are "What is going on here? How do I successfully go about upgrading my environment to the latest JDK?"
Marilyn de Queiroz

Joined: Jul 22, 2000
Posts: 9059
Have you disabled the "Use Java 2 v1.4 for <applet> (requires restart)" option in "Tools", "Internet Options", "Advanced" ?

"Yesterday is history, tomorrow is a mystery, and today is a gift; that's why they call it the present." Eleanor Roosevelt
I agree. Here's the link:
subject: hell breaks loose with JDK1.4
It's not a secret anymore!